*-----------------------------------
* AUTHOR: Trevor Hancock (TrevorH@Microsoft.com)
* CREATED: 07/10/04 11:44:00 AM
* ABSTRACT:  Adds a record to Intellisense (IS) to unregister
*                    COM DLLs/EXEs. Change 'lcKeys' at the top
*                    to what you'd like to type to access this script,
*                    then save and run this code to add it to IS.
*-----------------------------------

*----- START CODE
*
LOCAL lcISense AS STRING, ;
	lcMyEndText AS STRING, ;
	lcKeys AS STRING
lcMyEndText = SYS(2015)
lcKeys = 'reger' &&<--- Change this to prefered IS access string

TEXT TO lcISense NOSHOW TEXTMERGE
LPARAMETERS oFoxcode
IF !INLIST(oFoxcode.Location,0)
    RETURN '<<lcKeys>>'
ENDIF
oFoxcode.valuetype = 'V'
LOCAL lcFCCode AS STRING
TEXT TO lcFCCode NOSHOW
LOCAL lcFOXCOM AS STRING
lcFOXCOM = ;
	GETFILE('Fox COM Object:DLL,EXE', ;
	'COM Object:', ;
	'Select', 0, ;
	'Select Com DLL/EXE')

IF EMPTY(lcFOXCOM) OR ;
		!INLIST(LOWER(JUSTEXT(lcFOXCOM)), 'dll', 'exe')
	RETURN .F.
ENDIF

LOCAL llHadErr AS Boolean
llHadErr = .F.

IF LOWER(JUSTEXT(lcFOXCOM)) == 'dll'
	DECLARE INTEGER DllUnregisterServer IN &lcFOXCOM
	TRY
		DllUnregisterServer()
	CATCH TO loErr
		llHadErr = .T.
	ENDTRY
	CLEAR DLLS DllUnregisterServer
ELSE
	LOCAL lcUnregCmd
	lcUnregCmd = [RUN /N "] + lcFOXCOM + [" /unregserver]
	TRY
		&lcUnregCmd
	CATCH TO loErr
		llHadErr = .T.
	ENDTRY
ENDIF

IF llHadErr
	WAIT WINDOW 'Error unregistering ' + ;
		JUSTFNAME(lcFOXCOM) + ": " + loErr.MESSAGE ;
		TIMEOUT 2
ELSE
	WAIT WINDOW 'Unreg command for ' + ;
		JUSTFNAME(lcFOXCOM) + ' completed.'  ;
		TIMEOUT 2
ENDIF
<<lcMyEndText>>

EXECSCRIPT(lcFCCode)
RETURN '~'
ENDTEXT

USE (_FOXCODE) AGAIN SHARED IN 0 ALIAS FC
INSERT INTO FC VALUES('U', lcKeys, '', '{}', '', ;
	STRTRAN(lcISense, lcMyEndText,'ENDTEXT'), ;
	'U', .T., DATETIME(), 'FoxTips', '', '')
USE IN SELECT('FC')
*
*----- END CODE